asciinema-upload(1)

NAME
asciinema-upload - Upload a recording to an asciinema server

SYNOPSIS
asciinema upload [--server-url] [-q|--quiet] [-h|--help] <FILE>

DESCRIPTION
Upload a recording to an asciinema server.

Takes a local asciicast file and uploads it to an asciinema server (either asciinema.org or a self-hosted server), returning a recording URL which can be shared publicly.

OPTIONS

--server-url=URL
    Specify a custom asciinema server URL for uploading to self-hosted servers. Use the base server URL (e.g., https://asciinema.example.com). Can also be set via environment variable ASCIINEMA_SERVER_URL or config file option server.url. If no server URL is configured via this option, environment variable, or config file, you will be prompted to choose one (defaulting to asciinema.org), which will be saved as a default.

-q, --quiet
    Suppress diagnostic messages and progress indicators. Only error messages will be displayed.

-h, --help
    Print help (see a summary with '-h')

<FILE>
    The path to the asciicast recording file to upload, in a supported asciicast format (v1, v2, or v3)